> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.caresquareapi.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.caresquareapi.com/_mcp/server.

# Get invoice view session by ID

GET https://api.caresquareapi.com/api/public/v1/invoice-view-sessions/{session_id}

Reference: https://docs.caresquareapi.com/api-reference/invoices-and-claims/invoice-view-sessions/get-invoice-view-session-by-id

## Authentication

- `Authorization` header (bearer token, required) — API key issued for your account. Send as Bearer token in the Authorization header.
- `X-Plan-Manager-Id` header (required) — Plan manager UUID. Required on all public API requests to scope data access.

## Request

### Path parameters

- `session_id` (string, required)

## Response

### 200

Single invoice view session

- `id` (string, optional) — Session ID
- `invoice_id` (string, optional) — Invoice ID
- `user_id` (string, optional) — User ID
- `user_name` (string, optional) — User name
- `session_started` (datetime, optional) — Session start time
- `session_ended` (datetime, optional, nullable) — Session end time
- `last_heartbeat` (datetime, optional) — Last heartbeat
- `duration_seconds` (integer, optional, nullable) — Duration in seconds
- `created_at` (datetime, optional) — Created at
- `active_duration_seconds` (integer, optional, nullable) — Active duration in seconds
- `engaged_duration_seconds` (integer, optional, nullable) — Engaged duration in seconds
- `idle_count` (integer, optional, nullable) — Idle count

## Errors

### 400 Bad Request Error

Invalid request parameters

- `success` (boolean, optional)
- `error` (string, optional) — Error type or code
- `detail` (string, optional) — Human-readable error message

### 403 Forbidden Error

Access denied for plan manager

- `success` (boolean, optional)
- `error` (string, optional) — Error type or code
- `detail` (string, optional) — Human-readable error message

### 404 Not Found Error

Resource not found

- `success` (boolean, optional)
- `error` (string, optional) — Error type or code
- `detail` (string, optional) — Human-readable error message

### 500 Internal Server Error

Internal server error

- `success` (boolean, optional)
- `error` (string, optional) — Error type or code
- `detail` (string, optional) — Human-readable error message

## Examples

**Response**

```json
{
  "id": "string",
  "invoice_id": "string",
  "user_id": "string",
  "user_name": "string",
  "session_started": "2024-01-15T09:30:00Z",
  "session_ended": "2024-01-15T09:30:00Z",
  "last_heartbeat": "2024-01-15T09:30:00Z",
  "duration_seconds": 1,
  "created_at": "2024-01-15T09:30:00Z",
  "active_duration_seconds": 1,
  "engaged_duration_seconds": 1,
  "idle_count": 1
}
```

**SDK Code**

```python
import requests

url = "https://api.caresquareapi.com/api/public/v1/invoice-view-sessions/session_id"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.caresquareapi.com/api/public/v1/invoice-view-sessions/session_id';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.caresquareapi.com/api/public/v1/invoice-view-sessions/session_id"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.caresquareapi.com/api/public/v1/invoice-view-sessions/session_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.caresquareapi.com/api/public/v1/invoice-view-sessions/session_id")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.caresquareapi.com/api/public/v1/invoice-view-sessions/session_id', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.caresquareapi.com/api/public/v1/invoice-view-sessions/session_id");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.caresquareapi.com/api/public/v1/invoice-view-sessions/session_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```